import { Meta, Title, Subtitle, Description, Primary, Controls, Stories } from '@storybook/blocks';
import * as ResourceSelectorModalStories from "./ResourceSelectorModal.stories"
import { StoryName } from "../../.storybook/blocks/StoryName"

<Meta of={ResourceSelectorModalStories} />

<Title />
<Subtitle />
<Description />
 
### Usage
 
推荐通过 `openAntdModal` 函数打开 `ResourceSelectorModal`，打开 -> 处理 -> 关闭，整套代码在同一个地方

```ts
import { openAntdModal } from '@/utils/modal';
import ResourceSelectorModal } from '@/components/ResourceSelectorModal';

// 打开资源选择对话框
const handleClick = () => {
  const { close } = openAntdModal(ResourceSelectorModal, {
  type: ResourceSelectorType.Dataset,
  onOk: (res) => {
    // 处理逻辑
    close();
  },
});
```

### Primary

<Primary />

<Controls />

<Stories of={ResourceSelectorModalStories} />
 
